API ReferenceapiaffiliatesGET /v1/affiliates/{id}/verifications

GET /v1/affiliates/\{id\}/verifications

Service: affiliates · operationId: (none)

Get commission verification history for an affiliate

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Verification history

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "affiliate_id": {
            "type": "string"
          },
          "period_start": {
            "type": "string"
          },
          "period_end": {
            "type": "string"
          },
          "expected_cents": {
            "type": "string"
          },
          "actual_cents": {
            "type": "string"
          },
          "commission_count": {
            "type": "integer"
          },
          "discrepancy_cents": {
            "type": "string"
          },
          "status": {
            "type": "string",
            "enum": [
              "pass",
              "fail"
            ]
          },
          "verified_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "affiliate_id",
          "period_start",
          "period_end",
          "expected_cents",
          "actual_cents",
          "commission_count",
          "discrepancy_cents",
          "status",
          "verified_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/affiliates/{id}/verifications \
  -H "Authorization: Bearer $ACCESS_TOKEN"